POST
/cardAppointment/cardAppointmentPageH5小程序查询用户的预约记录
旅游卡 / 预约
基本信息
- 接口状态未见调用·长期未改动(待确认)
- 接口URLPOST
https://dscp-dev.hn12301.net/h5-api/cardAppointment/cardAppointmentPage - 请求方式
POST - 暴露渠道H5、小程序 前缀
/h5-api - 名称来源源码注释
- 调用方本次扫描未发现调用
- 需求上下文
- 维护人 / 最后改动luoli 2024-01-17
- 读写数据表
card_appointment、card反查该表全部接口 → - 控制器
com.jxxx.dscp.api.controller.card.CardAppointmentController#cardAppointmentPage - 源码位置
jxxx-dscp/dscp-service-business/src/main/java/com/jxxx/dscp/api/controller/card/CardAppointmentController.java:319 - 判定依据
请求参数
Header 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无(渠道统一鉴权头见《认证方式》) | ||||
Query 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
路径参数及说明
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
Body 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
认证方式
响应参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| list | … | 否 | List<T><CardAppointmentPageResponse> | 分页数据集合(元素结构见下一行) |
| id | … | 否 | String | id → card.id |
| cardId | … | 否 | String | 卡ID → card_appointment.card_id |
| cardNumber | … | 否 | String | 卡号 → card.card_number |
| resourceName | … | 否 | String | 预约景区 → card_appointment.resource_name |
| resourceId | … | 否 | String | → card_appointment.resource_id |
| appTime | … | 否 | Date | 预约时间 → card_appointment.app_time |
| status | … | 否 | String | 预约状态,1预约成功,2预约失败,3已取消 → card_appointment.status |
| createdTime | … | 否 | Date | 预约下单时间 → card.created_time |
| channel | … | 否 | ChannelType | 发卡渠道(1=北京;2=三省卡;3=数字平台;4=质惠游) → card_appointment.channel 1=北京卡管理系统 2=三省卡系统 3=数字平台 4=质惠游 5=支付宝 6=兴业银行 7=湘工惠 8=湘约码 |
| thirdId | … | 否 | String | 卡种id → card_appointment.third_id |
| total | … | 否 | Long | 数据总数 |
响应示例
成功响应示例
{
"errcode": 0,
"errmsg": "",
"data": {
"list": "[]",
"id": "\"string\"",
"cardId": "\"string\"",
"cardNumber": "\"string\"",
"resourceName": "\"string\"",
"resourceId": "\"string\"",
"appTime": "\"2026-01-01 00:00:00\"",
"status": "\"string\"",
"createdTime": "\"2026-01-01 00:00:00\"",
"channel": "1",
"thirdId": "\"string\"",
"total": "1"
}
}附录 · 实现细节
调用链 / 数据表 / 调用点证据 / 源码注释 / 逻辑摘要
涉及数据表:card_appointment、card 反查全部引用接口 →
- CardAppointmentController#cardAppointmentPage
- SessionMemberService#getSessionId
- CardAppointmentService#queryPage(CardAppointmentServiceImpl)
- CardAppointmentMapper#queryPage
- BeanUtils.mapPage → CardAppointmentPageResponse
其它依赖:SessionMemberService.getSessionId
逻辑摘要:查询详情(sessionService.getSessionId);分页查询(cardAppointmentService.queryPage);查询详情(cardService.get);入参与返回值经 BeanUtils 做对象/分页映射
旧站环境备注:pro:(仓库 .env.pro 指向 uat;生产域名未确认,此处沿用 uat 主机示意)